openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Herbert Duerr <...@apache.org>
Subject Re: Building for MAC OS, gcc 4.0
Date Fri, 27 Sep 2013 11:59:50 GMT
On 27.09.2013 13:39, Tal Daniel wrote:
> Thank you Herbert, I'm using Xcode 3.2.6, with gcc 4.2, so I'll wait with
> your branch.

Oh, if you already XCode 3 then you're probably almost all set: Please check
	ls -l /usr/bin/gcc*
AFAIK on a typical XCode3 system there should be gcc-4.0 and gcc-4.2. I 
can't remember whether there was an install option to install the older 
version.

If I read the configure script correctly it tries to find this gcc-4.0 
version and would use it if it was there.

Regarding the 10.4 SDK I'm quite sure it was optional with XCode3's 
package installer. That one defaults to only install SDK 10.5 and 10.6. 
I you'll have 10.4 you are probably only two hours away from your own 
AOO build! :-)

> Thanks for the invite.
> Today I've managed to install & switch to gcc 4.0 using MacPorts

I'm not sure if the MacPorts gcc 4.0 will work. Better check whether the 
older compiler version was an optional part of XCode3 and use that if 
possible.

> (I'll update the Guide, when I'm done).

Wonderful, thanks in advance!

Herbert

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message